<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\Durumlar;
use App\Markalar;
use App\Urunler;
use App\SmsSablon;
use App\EmailSablon;
use App\YetkiGruplari;
use Brian2694\Toastr\Facades\Toastr;
class TanimlamalarController extends Controller
{
    public function durumlar()
    {
        $durumlar = Durumlar::orderByDesc('id')->paginate(10);
        return view('admin/tanimlamalar/durumlar', compact('durumlar'));
    }

    public function durumekle(Request $request)
    {
        $data = new Durumlar;
        $data->isim = $request->isim;
        $data->save();
        return response()->json($data);
    }


    public function markalar()
    {
        $markalar = Markalar::orderByDesc('id')->paginate(10);
        return view('admin/tanimlamalar/markalar', compact('markalar'));
    }

    public function markaekle(Request $request)
    {

        $data = new Markalar;
        $data->isim = $request->isim;
        $data->save();
        return response()->json($data);
    }


    public function urunler()
    {
        $urunler = Urunler::orderByDesc('id')->paginate(10);
        return view('admin/tanimlamalar/urunler', compact('urunler'));
    }

    public function urunekle(Request $request)
    {

        $data = new Urunler;
        $data->isim = $request->isim;
        $data->save();
        return response()->json($data);
    }


    public function urunekleservis(Request $request)
    {

        $urun = new Urunler;
        $urun->isim = $request->isimurun;
        $urun->save();

        $data = Urunler::all();

        return response()->json($data);
    }

    public function markaekleservis(Request $request)
    {
        $marka = new Markalar;
        $marka->isim = $request->isimmarka;
        $marka->save();

        $data = Markalar::all();

        return response()->json($data);
    }

    public function durumkaydet()
    {
        $durum = new Durumlar;

        $durum->isim = request('isim');
        $durum->renk = request('renk');

        $durum->save();

        if ($durum) {
            Toastr::success('İşlem Başarılı', 'Başarılı', ["positionClass" => "toast-top-right"]);
            return redirect('home/tanimlamalar/durumlar');
           }else{
            Toastr::danger('Hata Oluştu', 'HAT!', ["positionClass" => "toast-top-right"]);
            return redirect('home/tanimlamalar/durumlar');
           }

    }
    public function markakaydet()
    {
        $marka = new Markalar;

        $marka->isim = request('isim');

        $marka->save();

        if ($marka) {
            Toastr::success('İşlem Başarılı', 'Başarılı', ["positionClass" => "toast-top-right"]);
            return redirect('home/tanimlamalar/markalar');
           }else{
            Toastr::danger('Hata Oluştu', 'HAT!', ["positionClass" => "toast-top-right"]);
            return redirect('home/tanimlamalar/markalar');
           }
    }
    public function urunkaydet()
    {
        $urun = new Urunler;

        $urun->isim = request('isim');

        $urun->save();

        if ($urun) {
            Toastr::success('İşlem Başarılı', 'Başarılı', ["positionClass" => "toast-top-right"]);
            return redirect('home/tanimlamalar/urunler');
           }else{
            Toastr::danger('Hata Oluştu', 'HAT!', ["positionClass" => "toast-top-right"]);
            return redirect('home/tanimlamalar/urunler');
           }
    }

    public function markaduzenle()
    {
        $duzenlenecekmarka = Markalar::find(request('id'));

        $duzenlenecekmarka->isim = request('isim1');

        $duzenlenecekmarka->save();

        if ($duzenlenecekmarka) {
            Toastr::success('İşlem Başarılı', 'Başarılı', ["positionClass" => "toast-top-right"]);
            return redirect('home/tanimlamalar/markalar');
           }else{
            Toastr::danger('Hata Oluştu', 'HAT!', ["positionClass" => "toast-top-right"]);
            return redirect('home/tanimlamalar/markalar');
           }
    }

    public function urunduzenle()
    {
        $duzenlenecekurun = Urunler::find(request('id'));

        $duzenlenecekurun->isim = request('isim1');

        $duzenlenecekurun->save();


        if ($duzenlenecekurun) {
            Toastr::success('İşlem Başarılı', 'Başarılı', ["positionClass" => "toast-top-right"]);
            return redirect('home/tanimlamalar/urunler');
           }else{
            Toastr::danger('Hata Oluştu', 'HAT!', ["positionClass" => "toast-top-right"]);
            return redirect('home/tanimlamalar/urunler');
           }
    }

    public function durumduzenle()
    {
        $duzenlenecekdurum = Durumlar::find(request('id'));

        $duzenlenecekdurum->isim = request('isim1');
        $duzenlenecekdurum->renk = request('renk1');

        $duzenlenecekdurum->save();

        if ($duzenlenecekdurum) {
            Toastr::success('İşlem Başarılı', 'Başarılı', ["positionClass" => "toast-top-right"]);
            return redirect('home/tanimlamalar/durumlar');
           }else{
            Toastr::danger('Hata Oluştu', 'HAT!', ["positionClass" => "toast-top-right"]);
            return redirect('home/tanimlamalar/durumlar');
           }
    }

    public function sms_sablonlari()
    {
        $sms_sablonlari = SmsSablon::orderByDesc('id')->paginate(10);
        return view('admin/tanimlamalar/sms_sablonlari', compact('sms_sablonlari'));
    }

    public function sms_sablon_kaydet()
    {
        $sms_sablon = new SmsSablon;

        $sms_sablon->isim = request('isim');
        $sms_sablon->mesaj = request('mesaj');

        $sms_sablon->save();

        if ($sms_sablon) {
            Toastr::success('İşlem Başarılı', 'Başarılı', ["positionClass" => "toast-top-right"]);
            return redirect('home/tanimlamalar/sms_sablonlari');
           }else{
            Toastr::danger('Hata Oluştu', 'HAT!', ["positionClass" => "toast-top-right"]);
            return redirect('home/tanimlamalar/sms_sablonlari');
           }
    }
    public function sms_sablon_duzenle()
    {
        $duzenleneceksms_sablon = SmsSablon::find(request('id'));

        $duzenleneceksms_sablon->isim = request('isim1');
        $duzenleneceksms_sablon->mesaj = request('mesaj1');

        $duzenleneceksms_sablon->save();

        if ($duzenleneceksms_sablon) {
            Toastr::success('İşlem Başarılı', 'Başarılı', ["positionClass" => "toast-top-right"]);
            return redirect('home/tanimlamalar/sms_sablonlari');
           }else{
            Toastr::danger('Hata Oluştu', 'HAT!', ["positionClass" => "toast-top-right"]);
            return redirect('home/tanimlamalar/sms_sablonlari');
           }
    }

    public function email_sablonlari()
    {
        $email_sablonlari = EmailSablon::orderByDesc('id')->paginate(10);
        return view('admin/tanimlamalar/email_sablonlari', compact('email_sablonlari'));
    }

    public function email_sablon_kaydet()
    {
        $email_sablon = new EmailSablon;

        $email_sablon->isim = request('isim');
        $email_sablon->mesaj = request('mesaj');

        $email_sablon->save();

        if ($email_sablon) {
            Toastr::success('İşlem Başarılı', 'Başarılı', ["positionClass" => "toast-top-right"]);
            return redirect('home/tanimlamalar/email_sablonlari');
           }else{
            Toastr::danger('Hata Oluştu', 'HAT!', ["positionClass" => "toast-top-right"]);
            return redirect('home/tanimlamalar/email_sablonlari');
           }
    }

    public function email_sablon_duzenle()
    {
        $duzenlenecekemail_sablon = EmailSablon::find(request('id'));

        $duzenlenecekemail_sablon->isim = request('isim1');
        $duzenlenecekemail_sablon->mesaj = request('mesaj1');

        $duzenlenecekemail_sablon->save();

        if ($duzenlenecekemail_sablon) {
            Toastr::success('İşlem Başarılı', 'Başarılı', ["positionClass" => "toast-top-right"]);
            return redirect('home/tanimlamalar/email_sablonlari');
           }else{
            Toastr::danger('Hata Oluştu', 'HAT!', ["positionClass" => "toast-top-right"]);
            return redirect('home/tanimlamalar/email_sablonlari');
           }
    }

    public function yetki_gruplari()
    {
        $yetki_gruplari = YetkiGruplari::orderByDesc('id')->paginate(10);
        return view('admin/tanimlamalar/yetki_gruplari/listele', compact('yetki_gruplari'));
    }
    public function yetki_grubu_ekle()
    {

        return view('admin/tanimlamalar/yetki_gruplari/ekle');
    }

    public function yetki_gruplari_kaydet()
    {

        $yetkigrubu = new YetkiGruplari;

        $yetkigrubu->isim = request('isim');

        if( request('servis_fisi_ekle') == null){ $yetkigrubu->servis_fisi_ekle = 0; }else{ $yetkigrubu->servis_fisi_ekle = 1; }
        if( request('servis_fisi_duzenle') == null){ $yetkigrubu->servis_fisi_duzenle = 0; }else{ $yetkigrubu->servis_fisi_duzenle = 1; }
        if( request('servis_fisi_listele') == null){ $yetkigrubu->servis_fisi_listele = 0; }else{ $yetkigrubu->servis_fisi_listele = 1; }
        if( request('servis_fisi_kabulform') == null){ $yetkigrubu->servis_fisi_kabulform = 0; }else{ $yetkigrubu->servis_fisi_kabulform = 1; }
        if( request('servis_fisi_teslimform') == null){ $yetkigrubu->servis_fisi_teslimform = 0; }else{ $yetkigrubu->servis_fisi_teslimform = 1; }
        if( request('servis_fisi_mesaj') == null){ $yetkigrubu->servis_fisi_mesaj = 0; }else{ $yetkigrubu->servis_fisi_mesaj = 1; }
        if( request('servis_fisi_mail') == null){ $yetkigrubu->servis_fisi_mail = 0; }else{ $yetkigrubu->servis_fisi_mail = 1; }
        if( request('servis_fisi_tahsilat') == null){ $yetkigrubu->servis_fisi_tahsilat = 0; }else{ $yetkigrubu->servis_fisi_tahsilat = 1; }
        if( request('servis_fisi_gorev') == null){ $yetkigrubu->servis_fisi_gorev = 0; }else{ $yetkigrubu->servis_fisi_gorev = 1; }
        if( request('servis_fisi_yedek_parca_ekle') == null){ $yetkigrubu->servis_fisi_yedek_parca_ekle = 0; }else{ $yetkigrubu->servis_fisi_yedek_parca_ekle = 1; }
        if( request('servis_fisi_yedek_parca_sil') == null){ $yetkigrubu->servis_fisi_yedek_parca_sil = 0; }else{ $yetkigrubu->servis_fisi_yedek_parca_sil = 1; }
        if( request('servis_fisi_hizmet_ekle') == null){ $yetkigrubu->servis_fisi_hizmet_ekle = 0; }else{ $yetkigrubu->servis_fisi_hizmet_ekle = 1; }
        if( request('servis_fisi_hizmet_sil') == null){ $yetkigrubu->servis_fisi_hizmet_sil = 0; }else{ $yetkigrubu->servis_fisi_hizmet_sil = 1; }

        if( request('cari_ekle') == null){ $yetkigrubu->cari_ekle = 0; }else{ $yetkigrubu->cari_ekle = 1; }
        if( request('cari_duzenle') == null){ $yetkigrubu->cari_duzenle = 0; }else{ $yetkigrubu->cari_duzenle = 1; }
        if( request('cari_listele') == null){ $yetkigrubu->cari_listele = 0; }else{ $yetkigrubu->cari_listele = 1; }
        if( request('cari_servis_fisleri') == null){ $yetkigrubu->cari_servis_fisleri = 0; }else{ $yetkigrubu->cari_servis_fisleri = 1; }

        if( request('yedek_parca_ekle') == null){ $yetkigrubu->yedek_parca_ekle = 0; }else{ $yetkigrubu->yedek_parca_ekle = 1; }
        if( request('yedek_parca_duzenle') == null){ $yetkigrubu->yedek_parca_duzenle = 0; }else{ $yetkigrubu->yedek_parca_duzenle = 1; }
        if( request('yedek_parca_listele') == null){ $yetkigrubu->yedek_parca_listele = 0; }else{ $yetkigrubu->yedek_parca_listele = 1; }

        if( request('hizmet_ekle') == null){ $yetkigrubu->hizmet_ekle = 0; }else{ $yetkigrubu->hizmet_ekle = 1; }
        if( request('hizmet_duzenle') == null){ $yetkigrubu->hizmet_duzenle = 0; }else{ $yetkigrubu->hizmet_duzenle = 1; }
        if( request('hizmet_listele') == null){ $yetkigrubu->hizmet_listele = 0; }else{ $yetkigrubu->hizmet_listele = 1; }

        if( request('kasa_islemleri') == null){ $yetkigrubu->kasa_islemleri = 0; }else{ $yetkigrubu->kasa_islemleri = 1; }

        if( request('yetki_grubu_ekle') == null){ $yetkigrubu->yetki_grubu_ekle = 0; }else{ $yetkigrubu->yetki_grubu_ekle = 1; }
        if( request('yetki_grubu_duzenle') == null){ $yetkigrubu->yetki_grubu_duzenle = 0; }else{ $yetkigrubu->yetki_grubu_duzenle = 1; }
        if( request('yetki_grubu_listele') == null){ $yetkigrubu->yetki_grubu_listele = 0; }else{ $yetkigrubu->yetki_grubu_listele = 1; }

        if( request('durum_ekle') == null){ $yetkigrubu->durum_ekle = 0; }else{ $yetkigrubu->durum_ekle = 1; }
        if( request('durum_duzenle') == null){ $yetkigrubu->durum_duzenle = 0; }else{ $yetkigrubu->durum_duzenle = 1; }
        if( request('durum_listele') == null){ $yetkigrubu->durum_listele = 0; }else{ $yetkigrubu->durum_listele = 1; }

        if( request('marka_ekle') == null){ $yetkigrubu->marka_ekle = 0; }else{ $yetkigrubu->marka_ekle = 1; }
        if( request('marka_duzenle') == null){ $yetkigrubu->marka_duzenle = 0; }else{ $yetkigrubu->marka_duzenle = 1; }
        if( request('marka_listele') == null){ $yetkigrubu->marka_listele = 0; }else{ $yetkigrubu->marka_listele = 1; }

        if( request('urun_ekle') == null){ $yetkigrubu->urun_ekle = 0; }else{ $yetkigrubu->urun_ekle = 1; }
        if( request('urun_duzenle') == null){ $yetkigrubu->urun_duzenle = 0; }else{ $yetkigrubu->urun_duzenle = 1; }
        if( request('urun_listele') == null){ $yetkigrubu->urun_listele = 0; }else{ $yetkigrubu->urun_listele = 1; }

        if( request('sms_sablon_ekle') == null){ $yetkigrubu->sms_sablon_ekle = 0; }else{ $yetkigrubu->sms_sablon_ekle = 1; }
        if( request('sms_sablon_duzenle') == null){ $yetkigrubu->sms_sablon_duzenle = 0; }else{ $yetkigrubu->sms_sablon_duzenle = 1; }
        if( request('sms_sablon_listele') == null){ $yetkigrubu->sms_sablon_listele = 0; }else{ $yetkigrubu->sms_sablon_listele = 1; }

        if( request('email_sablon_ekle') == null){ $yetkigrubu->email_sablon_ekle = 0; }else{ $yetkigrubu->email_sablon_ekle = 1; }
        if( request('email_sablon_duzenle') == null){ $yetkigrubu->email_sablon_duzenle = 0; }else{ $yetkigrubu->email_sablon_duzenle = 1; }
        if( request('email_sablon_listele') == null){ $yetkigrubu->email_sablon_listele = 0; }else{ $yetkigrubu->email_sablon_listele = 1; }

        if( request('personel_ekle') == null){ $yetkigrubu->personel_ekle = 0; }else{ $yetkigrubu->personel_ekle = 1; }
        if( request('personel_duzenle') == null){ $yetkigrubu->personel_duzenle = 0; }else{ $yetkigrubu->personel_duzenle = 1; }
        if( request('personel_listele') == null){ $yetkigrubu->personel_listele = 0; }else{ $yetkigrubu->personel_listele = 1; }

        if( request('hatirlatma_ekle') == null){ $yetkigrubu->hatirlatma_ekle = 0; }else{ $yetkigrubu->hatirlatma_ekle = 1; }
        if( request('hatirlatma_duzenle') == null){ $yetkigrubu->hatirlatma_duzenle = 0; }else{ $yetkigrubu->hatirlatma_duzenle = 1; }
        if( request('hatirlatma_listele') == null){ $yetkigrubu->hatirlatma_listele = 0; }else{ $yetkigrubu->hatirlatma_listele = 1; }
        if( request('hatirlatma_tamamla') == null){ $yetkigrubu->hatirlatma_tamamla = 0; }else{ $yetkigrubu->hatirlatma_tamamla = 1; }

        if( request('ayarlar_firma') == null){ $yetkigrubu->ayarlar_firma = 0; }else{ $yetkigrubu->ayarlar_firma = 1; }
        if( request('ayarlar_sms') == null){ $yetkigrubu->ayarlar_sms = 0; }else{ $yetkigrubu->ayarlar_sms = 1; }

        if( request('translate') == null){ $yetkigrubu->translate = 0; }else{ $yetkigrubu->translate = 1; }
        if( request('search') == null){ $yetkigrubu->search = 0; }else{ $yetkigrubu->search = 1; }

        $yetkigrubu->save();

        if ($yetkigrubu) {
            Toastr::success('İşlem Başarılı', 'Başarılı', ["positionClass" => "toast-top-right"]);
            return redirect('home/tanimlamalar/yetki_gruplari/listele');
           }else{
            Toastr::danger('Hata Oluştu', 'HAT!', ["positionClass" => "toast-top-right"]);
            return redirect('home/tanimlamalar/yetki_gruplari/listele');
           }

    }

    public function yetki_gruplari_duzenle($id)
    {
        $duzenlenecekyetki_grubu = YetkiGruplari::find($id);
        return view('admin.tanimlamalar/yetki_gruplari/duzenle', compact('duzenlenecekyetki_grubu'));
    }

    public function yetki_gruplari_update(Request $request, $id)
    {
        $yetkigrubu = YetkiGruplari::find($id);

        $yetkigrubu->isim = request('isim');

        if( request('servis_fisi_ekle') == null){ $yetkigrubu->servis_fisi_ekle = 0; }else{ $yetkigrubu->servis_fisi_ekle = 1; }
        if( request('servis_fisi_duzenle') == null){ $yetkigrubu->servis_fisi_duzenle = 0; }else{ $yetkigrubu->servis_fisi_duzenle = 1; }
        if( request('servis_fisi_listele') == null){ $yetkigrubu->servis_fisi_listele = 0; }else{ $yetkigrubu->servis_fisi_listele = 1; }
        if( request('servis_fisi_kabulform') == null){ $yetkigrubu->servis_fisi_kabulform = 0; }else{ $yetkigrubu->servis_fisi_kabulform = 1; }
        if( request('servis_fisi_teslimform') == null){ $yetkigrubu->servis_fisi_teslimform = 0; }else{ $yetkigrubu->servis_fisi_teslimform = 1; }
        if( request('servis_fisi_mesaj') == null){ $yetkigrubu->servis_fisi_mesaj = 0; }else{ $yetkigrubu->servis_fisi_mesaj = 1; }
        if( request('servis_fisi_mail') == null){ $yetkigrubu->servis_fisi_mail = 0; }else{ $yetkigrubu->servis_fisi_mail = 1; }
        if( request('servis_fisi_tahsilat') == null){ $yetkigrubu->servis_fisi_tahsilat = 0; }else{ $yetkigrubu->servis_fisi_tahsilat = 1; }
        if( request('servis_fisi_gorev') == null){ $yetkigrubu->servis_fisi_gorev = 0; }else{ $yetkigrubu->servis_fisi_gorev = 1; }
        if( request('servis_fisi_yedek_parca_ekle') == null){ $yetkigrubu->servis_fisi_yedek_parca_ekle = 0; }else{ $yetkigrubu->servis_fisi_yedek_parca_ekle = 1; }
        if( request('servis_fisi_yedek_parca_sil') == null){ $yetkigrubu->servis_fisi_yedek_parca_sil = 0; }else{ $yetkigrubu->servis_fisi_yedek_parca_sil = 1; }
        if( request('servis_fisi_hizmet_ekle') == null){ $yetkigrubu->servis_fisi_hizmet_ekle = 0; }else{ $yetkigrubu->servis_fisi_hizmet_ekle = 1; }
        if( request('servis_fisi_hizmet_sil') == null){ $yetkigrubu->servis_fisi_hizmet_sil = 0; }else{ $yetkigrubu->servis_fisi_hizmet_sil = 1; }

        if( request('cari_ekle') == null){ $yetkigrubu->cari_ekle = 0; }else{ $yetkigrubu->cari_ekle = 1; }
        if( request('cari_duzenle') == null){ $yetkigrubu->cari_duzenle = 0; }else{ $yetkigrubu->cari_duzenle = 1; }
        if( request('cari_listele') == null){ $yetkigrubu->cari_listele = 0; }else{ $yetkigrubu->cari_listele = 1; }
        if( request('cari_servis_fisleri') == null){ $yetkigrubu->cari_servis_fisleri = 0; }else{ $yetkigrubu->cari_servis_fisleri = 1; }

        if( request('yedek_parca_ekle') == null){ $yetkigrubu->yedek_parca_ekle = 0; }else{ $yetkigrubu->yedek_parca_ekle = 1; }
        if( request('yedek_parca_duzenle') == null){ $yetkigrubu->yedek_parca_duzenle = 0; }else{ $yetkigrubu->yedek_parca_duzenle = 1; }
        if( request('yedek_parca_listele') == null){ $yetkigrubu->yedek_parca_listele = 0; }else{ $yetkigrubu->yedek_parca_listele = 1; }

        if( request('hizmet_ekle') == null){ $yetkigrubu->hizmet_ekle = 0; }else{ $yetkigrubu->hizmet_ekle = 1; }
        if( request('hizmet_duzenle') == null){ $yetkigrubu->hizmet_duzenle = 0; }else{ $yetkigrubu->hizmet_duzenle = 1; }
        if( request('hizmet_listele') == null){ $yetkigrubu->hizmet_listele = 0; }else{ $yetkigrubu->hizmet_listele = 1; }

        if( request('kasa_islemleri') == null){ $yetkigrubu->kasa_islemleri = 0; }else{ $yetkigrubu->kasa_islemleri = 1; }

        if( request('yetki_grubu_ekle') == null){ $yetkigrubu->yetki_grubu_ekle = 0; }else{ $yetkigrubu->yetki_grubu_ekle = 1; }
        if( request('yetki_grubu_duzenle') == null){ $yetkigrubu->yetki_grubu_duzenle = 0; }else{ $yetkigrubu->yetki_grubu_duzenle = 1; }
        if( request('yetki_grubu_listele') == null){ $yetkigrubu->yetki_grubu_listele = 0; }else{ $yetkigrubu->yetki_grubu_listele = 1; }

        if( request('durum_ekle') == null){ $yetkigrubu->durum_ekle = 0; }else{ $yetkigrubu->durum_ekle = 1; }
        if( request('durum_duzenle') == null){ $yetkigrubu->durum_duzenle = 0; }else{ $yetkigrubu->durum_duzenle = 1; }
        if( request('durum_listele') == null){ $yetkigrubu->durum_listele = 0; }else{ $yetkigrubu->durum_listele = 1; }

        if( request('marka_ekle') == null){ $yetkigrubu->marka_ekle = 0; }else{ $yetkigrubu->marka_ekle = 1; }
        if( request('marka_duzenle') == null){ $yetkigrubu->marka_duzenle = 0; }else{ $yetkigrubu->marka_duzenle = 1; }
        if( request('marka_listele') == null){ $yetkigrubu->marka_listele = 0; }else{ $yetkigrubu->marka_listele = 1; }

        if( request('urun_ekle') == null){ $yetkigrubu->urun_ekle = 0; }else{ $yetkigrubu->urun_ekle = 1; }
        if( request('urun_duzenle') == null){ $yetkigrubu->urun_duzenle = 0; }else{ $yetkigrubu->urun_duzenle = 1; }
        if( request('urun_listele') == null){ $yetkigrubu->urun_listele = 0; }else{ $yetkigrubu->urun_listele = 1; }

        if( request('sms_sablon_ekle') == null){ $yetkigrubu->sms_sablon_ekle = 0; }else{ $yetkigrubu->sms_sablon_ekle = 1; }
        if( request('sms_sablon_duzenle') == null){ $yetkigrubu->sms_sablon_duzenle = 0; }else{ $yetkigrubu->sms_sablon_duzenle = 1; }
        if( request('sms_sablon_listele') == null){ $yetkigrubu->sms_sablon_listele = 0; }else{ $yetkigrubu->sms_sablon_listele = 1; }

        if( request('email_sablon_ekle') == null){ $yetkigrubu->email_sablon_ekle = 0; }else{ $yetkigrubu->email_sablon_ekle = 1; }
        if( request('email_sablon_duzenle') == null){ $yetkigrubu->email_sablon_duzenle = 0; }else{ $yetkigrubu->email_sablon_duzenle = 1; }
        if( request('email_sablon_listele') == null){ $yetkigrubu->email_sablon_listele = 0; }else{ $yetkigrubu->email_sablon_listele = 1; }

        if( request('personel_ekle') == null){ $yetkigrubu->personel_ekle = 0; }else{ $yetkigrubu->personel_ekle = 1; }
        if( request('personel_duzenle') == null){ $yetkigrubu->personel_duzenle = 0; }else{ $yetkigrubu->personel_duzenle = 1; }
        if( request('personel_listele') == null){ $yetkigrubu->personel_listele = 0; }else{ $yetkigrubu->personel_listele = 1; }

        if( request('hatirlatma_ekle') == null){ $yetkigrubu->hatirlatma_ekle = 0; }else{ $yetkigrubu->hatirlatma_ekle = 1; }
        if( request('hatirlatma_duzenle') == null){ $yetkigrubu->hatirlatma_duzenle = 0; }else{ $yetkigrubu->hatirlatma_duzenle = 1; }
        if( request('hatirlatma_listele') == null){ $yetkigrubu->hatirlatma_listele = 0; }else{ $yetkigrubu->hatirlatma_listele = 1; }
        if( request('hatirlatma_tamamla') == null){ $yetkigrubu->hatirlatma_tamamla = 0; }else{ $yetkigrubu->hatirlatma_tamamla = 1; }

        if( request('ayarlar_firma') == null){ $yetkigrubu->ayarlar_firma = 0; }else{ $yetkigrubu->ayarlar_firma = 1; }
        if( request('ayarlar_sms') == null){ $yetkigrubu->ayarlar_sms = 0; }else{ $yetkigrubu->ayarlar_sms = 1; }

        if( request('translate') == null){ $yetkigrubu->translate = 0; }else{ $yetkigrubu->translate = 1; }
        if( request('search') == null){ $yetkigrubu->search = 0; }else{ $yetkigrubu->search = 1; }

        $yetkigrubu->save();



        if ($yetkigrubu) {
            Toastr::success('İşlem Başarılı', 'Başarılı', ["positionClass" => "toast-top-right"]);
            return redirect('home/tanimlamalar/yetki_gruplari/listele');
           }else{
            Toastr::danger('Hata Oluştu', 'HAT!', ["positionClass" => "toast-top-right"]);
            return redirect('home/tanimlamalar/yetki_gruplari/listele');
           }
    }




}

