<?php

namespace App\Http\Controllers;

use Validator;
use Illuminate\Http\Request;
use App\Durumlar;
use App\Firma;
use Datatables;

class TestController extends Controller
{
    function index()
    {
        $firma = Firma::find(1);
     return view('test',compact('firma'));
     //http://127.0.0:8000/ajaxdata
    }

    function getdata()
    {
     $durumlar = Durumlar::select('isim');
     return Datatables::of($durumlar)->make(true);
    }

    function postdata(Request $request)
    {
        $validation = Validator::make($request->all(), [
            'isim' => 'required',
        ]);

        $error_array = array();
        $success_output = '';
        if ($validation->fails())
        {
            foreach($validation->messages()->getMessages() as $field_name => $messages)
            {
                $error_array[] = $messages;
            }
        }
        else
        {
            if($request->get('button_action') == "insert")
            {
                $durumlar = new Durumlar([
                    'isim'    =>  $request->get('isim'),
                ]);
                $durumlar->save();
                $success_output = '<div class="alert alert-success">Data Inserted</div>';
            }
        }
        $output = array(
            'error'     =>  $error_array,
            'success'   =>  $success_output
        );
        echo json_encode($output);
    }
}
