<?php

namespace App\Http\Controllers;
use App\User;
use App\YetkiGruplari;

use Illuminate\Http\Request;
use Illuminate\Support\Facades\Hash;
use Brian2694\Toastr\Facades\Toastr;


class UserController extends Controller
{
    public function listele()
    {
        $personeller = User::orderByDesc('id')->paginate(10);
        return view('admin/personel/listele', compact('personeller'));
    }

    public function ekle()
    {
        $yetki_gruplari = YetkiGruplari::all();
        return view('admin/personel/ekle',compact('yetki_gruplari'));
    }

    public function kaydet()
    {
        $user = new User;

        $user->isim = request('isim');
        $user->telefon = request('telefon');
        $user->email = request('email');
        $user->yetki_id = request('yetki');
        $user->password = Hash::make(request('password'));
        $user->durum = request('durum');

        $user->save();

        if ($user) {
            Toastr::success('İşlem Başarılı', 'Başarılı', ["positionClass" => "toast-top-right"]);
            return redirect('home/personel/listele');
           }else{
            Toastr::danger('Hata Oluştu', 'HAT!', ["positionClass" => "toast-top-right"]);
            return redirect('home/personel/listele');
           }

    }

    public function duzenle($id)
    {
        $duzenlenecekpersonel = User::find($id);
        $yetki_gruplari = YetkiGruplari::all();

        return view('admin.personel.duzenle', compact('duzenlenecekpersonel','yetki_gruplari'));
    }

    public function update(Request $request, $id)
    {

        $user = User::find($id);
        $user->isim = $request->get('isim');
        $user->email = $request->get('email');
        $user->telefon = $request->get('telefon');
        $user->durum = $request->get('durum');
        $user->yetki_id = $request->get('yetki');

        if($request->get('password') != null){
        $user->password = Hash::make(request('password'));

        }
        $user->save();

        if ($user) {
            Toastr::success('İşlem Başarılı', 'Başarılı', ["positionClass" => "toast-top-right"]);
            return redirect('home/personel/listele');
           }else{
            Toastr::danger('Hata Oluştu', 'HAT!', ["positionClass" => "toast-top-right"]);
            return redirect('home/personel/listele');
           }
    }
}
