<?php

namespace App\Http;

use Illuminate\Foundation\Http\Kernel as HttpKernel;

class Kernel extends HttpKernel
{
    /**
     * The application's global HTTP middleware stack.
     *
     * These middleware are run during every request to your application.
     *
     * @var array
     */
    protected $middleware = [
        // \App\Http\Middleware\TrustHosts::class,
        \App\Http\Middleware\TrustProxies::class,
        \Fruitcake\Cors\HandleCors::class,
        \App\Http\Middleware\CheckForMaintenanceMode::class,
        \Illuminate\Foundation\Http\Middleware\ValidatePostSize::class,
        \App\Http\Middleware\TrimStrings::class,
        \Illuminate\Foundation\Http\Middleware\ConvertEmptyStringsToNull::class,
    ];

    /**
     * The application's route middleware groups.
     *
     * @var array
     */
    protected $middlewareGroups = [
        'web' => [
            \App\Http\Middleware\EncryptCookies::class,
            \Illuminate\Cookie\Middleware\AddQueuedCookiesToResponse::class,
            \Illuminate\Session\Middleware\StartSession::class,
            // \Illuminate\Session\Middleware\AuthenticateSession::class,
            \Illuminate\View\Middleware\ShareErrorsFromSession::class,
            \App\Http\Middleware\VerifyCsrfToken::class,
            \Illuminate\Routing\Middleware\SubstituteBindings::class,
        ],

        'api' => [
            'throttle:60,1',
            \Illuminate\Routing\Middleware\SubstituteBindings::class,
        ],
    ];

    /**
     * The application's route middleware.
     *
     * These middleware may be assigned to groups or used individually.
     *
     * @var array
     */
    protected $routeMiddleware = [
        'auth' => \App\Http\Middleware\Authenticate::class,
        'auth.basic' => \Illuminate\Auth\Middleware\AuthenticateWithBasicAuth::class,
        'bindings' => \Illuminate\Routing\Middleware\SubstituteBindings::class,
        'cache.headers' => \Illuminate\Http\Middleware\SetCacheHeaders::class,
        'can' => \Illuminate\Auth\Middleware\Authorize::class,
        'guest' => \App\Http\Middleware\RedirectIfAuthenticated::class,
        'password.confirm' => \Illuminate\Auth\Middleware\RequirePassword::class,
        'signed' => \Illuminate\Routing\Middleware\ValidateSignature::class,
        'throttle' => \Illuminate\Routing\Middleware\ThrottleRequests::class,
        'verified' => \Illuminate\Auth\Middleware\EnsureEmailIsVerified::class,

        'servis_fisi_ekle'=>\App\Http\Middleware\servis_fisi_ekle::class,
        'servis_fisi_duzenle'=>\App\Http\Middleware\servis_fisi_duzenle::class,
        'servis_fisi_listele'=>\App\Http\Middleware\servis_fisi_listele::class,
        'servis_fisi_kabulform'=>\App\Http\Middleware\servis_fisi_kabulform::class,
        'servis_fisi_teslimform'=>\App\Http\Middleware\servis_fisi_teslimform::class,
        'servis_fisi_tahsilat'=>\App\Http\Middleware\servis_fisi_tahsilat::class,
        'servis_fisi_gorev'=>\App\Http\Middleware\servis_fisi_gorev::class,
        'servis_fisi_mesaj'=>\App\Http\Middleware\servis_fisi_mesaj::class,
        'servis_fisi_mail'=>\App\Http\Middleware\servis_fisi_mail::class,
        'servis_fisi_yedek_parca_ekle'=>\App\Http\Middleware\servis_fisi_yedek_parca_ekle::class,
        'servis_fisi_yedek_parca_sil'=>\App\Http\Middleware\servis_fisi_yedek_parca_sil::class,
        'servis_fisi_hizmet_ekle'=>\App\Http\Middleware\servis_fisi_hizmet_ekle::class,
        'servis_fisi_hizmet_sil'=>\App\Http\Middleware\servis_fisi_hizmet_sil::class,


        'cari_ekle'=>\App\Http\Middleware\cari_ekle::class,
        'cari_duzenle'=>\App\Http\Middleware\cari_duzenle::class,
        'cari_listele'=>\App\Http\Middleware\cari_listele::class,
        'cari_servis_fisleri'=>\App\Http\Middleware\cari_servis_fisleri::class,

        'yedek_parca_ekle'=>\App\Http\Middleware\yedek_parca_ekle::class,
        'yedek_parca_duzenle'=>\App\Http\Middleware\yedek_parca_duzenle::class,
        'yedek_parca_listele'=>\App\Http\Middleware\yedek_parca_listele::class,

        'hizmet_ekle'=>\App\Http\Middleware\hizmet_ekle::class,
        'hizmet_duzenle'=>\App\Http\Middleware\hizmet_duzenle::class,
        'hizmet_listele'=>\App\Http\Middleware\hizmet_listele::class,

        'kasa_islemleri'=>\App\Http\Middleware\kasa_islemleri::class,

        'yetki_grubu_ekle'=>\App\Http\Middleware\yetki_grubu_ekle::class,
        'yetki_grubu_duzenle'=>\App\Http\Middleware\yetki_grubu_duzenle::class,
        'yetki_grubu_listele'=>\App\Http\Middleware\yetki_grubu_listele::class,

        'durum_ekle'=>\App\Http\Middleware\durum_ekle::class,
        'durum_duzenle'=>\App\Http\Middleware\durum_duzenle::class,
        'durum_listele'=>\App\Http\Middleware\durum_listele::class,

        'marka_ekle'=>\App\Http\Middleware\marka_ekle::class,
        'marka_duzenle'=>\App\Http\Middleware\marka_duzenle::class,
        'marka_listele'=>\App\Http\Middleware\marka_listele::class,

        'urun_ekle'=>\App\Http\Middleware\urun_ekle::class,
        'urun_duzenle'=>\App\Http\Middleware\urun_duzenle::class,
        'urun_listele'=>\App\Http\Middleware\urun_listele::class,

        'sms_sablon_ekle'=>\App\Http\Middleware\sms_sablon_ekle::class,
        'sms_sablon_duzenle'=>\App\Http\Middleware\sms_sablon_duzenle::class,
        'sms_sablon_listele'=>\App\Http\Middleware\sms_sablon_listele::class,

        'email_sablon_ekle'=>\App\Http\Middleware\email_sablon_ekle::class,
        'email_sablon_duzenle'=>\App\Http\Middleware\email_sablon_duzenle::class,
        'email_sablon_listele'=>\App\Http\Middleware\email_sablon_listele::class,

        'personel_ekle'=>\App\Http\Middleware\personel_ekle::class,
        'personel_duzenle'=>\App\Http\Middleware\personel_duzenle::class,
        'personel_listele'=>\App\Http\Middleware\personel_listele::class,

        'hatirlatma_ekle'=>\App\Http\Middleware\hatirlatma_ekle::class,
        'hatirlatma_duzenle'=>\App\Http\Middleware\hatirlatma_duzenle::class,
        'hatirlatma_listele'=>\App\Http\Middleware\hatirlatma_listele::class,
        'hatirlatma_tamamla'=>\App\Http\Middleware\hatirlatma_tamamla::class,

        'ayarlar_firma'=>\App\Http\Middleware\ayarlar_firma::class,
        'ayarlar_sms'=>\App\Http\Middleware\ayarlar_sms::class,

        'translate'=>\App\Http\Middleware\translate::class,
        'search'=>\App\Http\Middleware\search::class,
    ];
}
