<?php

namespace App;

use Illuminate\Database\Eloquent\Model;
use DB;
use App\Tahsilatlar;


class ServisFisi extends Model
{
    protected $table = 'servis_fisi';
    protected $guarded = [];

    public function cari()
    {
        return $this->belongsTo('App\Cari', 'cari_id', 'id');
    }
    public function marka()
    {
        return $this->belongsTo('App\Markalar', 'marka_id', 'id');
    }
    public function urun()
    {
        return $this->belongsTo('App\Urunler', 'urun_id', 'id');
    }
    public function durum()
    {
        return $this->belongsTo('App\Durumlar', 'durum_id', 'id');
    }

    public function bakiye($id)
    {

        $yedek_parca_toplam = ServisFisi::
            join('servis_yedek_parca', 'servis_fisi.id', '=', 'servis_yedek_parca.servis_fisi_id')
            ->where('servis_yedek_parca.servis_fisi_id', $id)

            ->sum('servis_yedek_parca.fiyat');

        $hizmet_toplam = ServisFisi::
            join('servis_hizmet', 'servis_fisi.id', '=', 'servis_hizmet.servis_fisi_id')
            ->where('servis_hizmet.servis_fisi_id', $id)

            ->sum('servis_hizmet.fiyat');

    $iskonto = Tahsilatlar::where('servis_fisi_id',$id)->sum('iskonto');
    $odeme_tutari = Tahsilatlar::where('servis_fisi_id',$id)->sum('odeme_tutari');

    $tahsilat = $iskonto + $odeme_tutari;

            return $yedek_parca_toplam + $hizmet_toplam - $tahsilat;
    }


}
