@extends('admin.template')
@section('icerik')

<?php
$string = file_get_contents("ifadeler.json");
$veri = json_decode($string);
?>
    {{ csrf_field() }}

    <div class="container-fluid">
    <div class="row">

        <div class="col-lg-12">
            <div class="card card-primary">


                <div class="card-body">
                    <div class="input-group-append">
                        @if (Auth::user()->yetki->urun_ekle == 1)
                        <button type="button" class="btn btn-success" data-toggle="modal" data-target="#create">
                            {{ $veri->tanimlamalar_urunler_1 }}
                          </button>
                          @endif
                    </div>
                    &ensp;

                    <div class="form-group ">
                        <table id="example" class="table table-bordered table-striped dataTable" role="grid" aria-describedby="example1_info">
                            <thead>
                                <th>{{ $veri->tanimlamalar_urunler_2 }}</th>
                                <th>{{ $veri->tanimlamalar_urunler_3 }}</th>
                                <th>{{ $veri->tanimlamalar_urunler_4 }}</th>
                            </thead>
                            <tbody>
                                @foreach ($urunler as $urun)
                                <tr>
                                    <td>{{ $urun->isim }}</td>
                                    <td>{{ $urun->created_at->format('d/m/Y') }}</td>
                                    <td>
                                        @if (Auth::user()->yetki->urun_duzenle == 1)
                                        <a href="#" class="btn btn-info btn-sm ac-UrunIcınId" id="testdegeral"
                                        data-id="{{ $urun->id }}" data-isim="{{ $urun->isim }}" data-toggle="modal"><span class='fa fa-edit'></span></a>
                                    @endif
                                </td>
                                </tr>
                                @endforeach
                            </tbody>
                        </table>
                        <?php echo $urunler->render(); ?>
                    </div>

                </div>
            </div>
        </div>




  <!-- /.row -->
</div>
</form>
{{-- Ekle Modal --}}
<div id="create" class="modal fade" role="dialog">
    <form method="POST" action="{{ route('home.tanimlamalar.urunkaydet')}}">
        {{ csrf_field() }}
    <div class="modal-dialog">
      <div class="modal-content">
        <div class="modal-body">

            <div class="form-group row add">
              <label class="control-label col-sm-3" for="title"><b>{{ $veri->tanimlamalar_urunler_modal_1 }}</b></label>
              <div class="col-sm-10">
                <input type="text" class="form-control" id="isim" name="isim"
                 required>
              </div>
            </div>

        </div>
            <div class="modal-footer">
              <button class="btn btn-success" type="submit" id="add">
                <span class="glyphicon glyphicon-plus"></span>{{ $veri->tanimlamalar_urunler_modal_2 }}
              </button>
              <button class="btn btn-danger" type="button" data-dismiss="modal">
                <span class="glyphicon glyphicon-remobe"></span>{{ $veri->tanimlamalar_urunler_modal_3 }}
              </button>
            </div>
      </div>
    </div>
</form>
  </div>
{{-- Ekle Modal --}}
{{-- Düzenle Modal --}}
<form method="POST" action="{{ route('home.tanimlamalar.urunduzenle')}}">
    {{ csrf_field() }}
<div id="duzenle" class="modal fade" role="dialog">
    <div class="modal-dialog">
      <div class="modal-content">
        <div class="modal-body">

            <div class="form-group row add">
              <label class="control-label col-sm-3" for="title"><b>{{ $veri->tanimlamalar_urunler_modal_1 }}</b></label>
              <div class="col-sm-10">
                <input type="text" class="form-control" id="isim1" name="isim1" value=""  required>
                <input type="text" class="form-control" id="id" name="id" value="" required hidden>
              </div>
            </div>

        </div>
            <div class="modal-footer">
              <button class="btn btn-success" type="submit" id="add">
                <span class="glyphicon glyphicon-plus"></span>{{ $veri->tanimlamalar_urunler_modal_2 }}
              </button>
              <button class="btn btn-danger" type="button" data-dismiss="modal">
                <span class="glyphicon glyphicon-remobe"></span>{{ $veri->tanimlamalar_urunler_modal_3 }}
              </button>
            </div>
      </div>
    </div>
  </div>
</form>
{{-- Düzenle Modal --}}
</div>
@endsection

@section('css')
  <!-- DataTables -->
  <link rel="stylesheet" href="/yonetim/plugins/datatables-bs4/css/dataTables.bootstrap4.css">

@endsection

@section('js')


<!-- DataTables -->
<script src="/yonetim/plugins/datatables/jquery.dataTables.js"></script>
<script src="/yonetim/plugins/datatables-bs4/js/dataTables.bootstrap4.js"></script>


<script>
    $(function () {

      $('#example').DataTable({
        "paging": false,
        "lengthChange": true,
        "searching": false,
        "ordering": false,
        "info": false,
        "autoWidth": false,
        "language":{
                        "sDecimal":        ",",
                        "sEmptyTable":     "Tabloda herhangi bir veri mevcut değil",
                        "sInfo":           "_TOTAL_ kayıttan _START_ - _END_ arasındaki kayıtlar gösteriliyor",
                        "sInfoEmpty":      "Kayıt yok",
                        "sInfoFiltered":   "(_MAX_ kayıt içerisinden bulunan)",
                        "sInfoPostFix":    "",
                        "sInfoThousands":  ".",
                        "sLengthMenu":     "Sayfada _MENU_ kayıt göster",
                        "sLoadingRecords": "Yükleniyor...",
                        "sProcessing":     "İşleniyor...",
                        "sSearch":         "Ara:",
                        "sZeroRecords":    "Eşleşen kayıt bulunamadı",
                        "oPaginate": {
                            "sFirst":    "İlk",
                            "sLast":     "Son",
                            "sNext":     "Sonraki",
                            "sPrevious": "Önceki"
                        },
                        "oAria": {
                            "sSortAscending":  ": artan sütun sıralamasını aktifleştir",
                            "sSortDescending": ": azalan sütun sıralamasını aktifleştir"
                        },
                        "select": {
                            "rows": {
                                "_": "%d kayıt seçildi",
                                "0": "",
                                "1": "1 kayıt seçildi"
                            }
                        }
                    }
      });
    });
  </script>

<script type="text/javascript">
    $(document).ready(function () {
        $(".ac-UrunIcınId").click(function () {
            $('#id').val($(this).data('id'));
            $('#isim1').val($(this).data('isim'));
            $('#duzenle').modal('show');
        });

    });
</script>


@endsection
